> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.eis.it/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.eis.it/_mcp/server.

# Edit an existing Product

POST https://api.eis.it/v1/product/edit
Content-Type: application/json

Update an existing product with the provided details.

Reference: https://docs.eis.it/api/reference/daa-s-products/edit-an-existing-product

## Servers

- `https://api.eis.it` (Production server, default)
- `https://staging.api.eis.it` (Staging server)

## Request

### Body (application/json)

- `productId` (integer, required) — ID of the product to edit
- `productNumber` (string, required) — Product number or SKU
- `name` (string, required) — Name of the product
- `description` (string, required) — Description of the product
- `category` (integer, required) — Category ID
- `vendor` (integer, required) — Vendor ID
- `available` (boolean, required) — Availability status of the product
- `notes` (string, required) — Additional notes about the product
- `externalId` (string, optional)

## Response

### 200

Product updated successfully

## Examples

**Request**

```json
{
  "productId": 1,
  "productNumber": "string",
  "name": "string",
  "description": "string",
  "category": 1,
  "vendor": 1,
  "available": true,
  "notes": "string"
}
```

**Response**

```json
{}
```

**SDK Code**

```python
import requests

url = "https://api.eis.it/v1/product/edit"

payload = {
    "productId": 1,
    "productNumber": "string",
    "name": "string",
    "description": "string",
    "category": 1,
    "vendor": 1,
    "available": True,
    "notes": "string"
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.eis.it/v1/product/edit';
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: '{"productId":1,"productNumber":"string","name":"string","description":"string","category":1,"vendor":1,"available":true,"notes":"string"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.eis.it/v1/product/edit"

	payload := strings.NewReader("{\n  \"productId\": 1,\n  \"productNumber\": \"string\",\n  \"name\": \"string\",\n  \"description\": \"string\",\n  \"category\": 1,\n  \"vendor\": 1,\n  \"available\": true,\n  \"notes\": \"string\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.eis.it/v1/product/edit")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n  \"productId\": 1,\n  \"productNumber\": \"string\",\n  \"name\": \"string\",\n  \"description\": \"string\",\n  \"category\": 1,\n  \"vendor\": 1,\n  \"available\": true,\n  \"notes\": \"string\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.eis.it/v1/product/edit")
  .header("Content-Type", "application/json")
  .body("{\n  \"productId\": 1,\n  \"productNumber\": \"string\",\n  \"name\": \"string\",\n  \"description\": \"string\",\n  \"category\": 1,\n  \"vendor\": 1,\n  \"available\": true,\n  \"notes\": \"string\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.eis.it/v1/product/edit', [
  'body' => '{
  "productId": 1,
  "productNumber": "string",
  "name": "string",
  "description": "string",
  "category": 1,
  "vendor": 1,
  "available": true,
  "notes": "string"
}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.eis.it/v1/product/edit");
var request = new RestRequest(Method.POST);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"productId\": 1,\n  \"productNumber\": \"string\",\n  \"name\": \"string\",\n  \"description\": \"string\",\n  \"category\": 1,\n  \"vendor\": 1,\n  \"available\": true,\n  \"notes\": \"string\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = [
  "productId": 1,
  "productNumber": "string",
  "name": "string",
  "description": "string",
  "category": 1,
  "vendor": 1,
  "available": true,
  "notes": "string"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.eis.it/v1/product/edit")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```